summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/menuscripts/mcurs11
1 files changed, 4 insertions, 7 deletions
diff --git a/bin/menuscripts/mcurs b/bin/menuscripts/mcurs
index 4349e0b..3714c41 100755
--- a/bin/menuscripts/mcurs
+++ b/bin/menuscripts/mcurs
@@ -1,11 +1,8 @@
#!/bin/sh
-# requirements
-which "$BROWSER" > /dev/null || exit 1
-
-choice="$(find "${1:-$HOME/docs/school}" |
- grep -i "cursus/index.html" 2> /dev/null |
+choice="$(find "${1:-"$HOME"/docs/school}" \
+ -type f -path "*/?ursus/index.html" 2> /dev/null |
sed "s;$HOME;~;" | commander -x -d -c)"
-[ "$choice" ] && exit 1
+[ "$choice" ] || exit 1
-$BROWSER "$choice"
+firefox --new-window "$choice"